Subject: [ofa-general] Re: [PATCH 03/21] RDS: Congestion-handling code

From: Andy Grover <[email-masked]>
Date: Wed, 28 Jan 2009 18:39:31 -0800

Roland Dreier wrote:
>  > +EXPORT_SYMBOL_GPL(rds_cong_map_updated);
> 
> What is this being exported to?  AFAICT you are only building a single
> RDS module, right?

In the current RDS development repo, transports are modularizable. For
the initial upstream submission I just wanted to include the IB
transport so I changed the build to compile rds-core and rds-ib
together, but didn't pull out the exports.

Steve Wise is working on having the iwarp transport debugged in the near
future. Once that is added and we make transports modularizable then
those exports are needed.

Take them out for now, then?

Thanks -- Regards -- Andy